<%@page import="java.util.*,javax.sql.*,java.sql.*,javax.naming.*,m05bClasses.*,java.io.PrintWriter" %>
<%@include file="/mantenimientosJSP/includes/m05b.inc"%>

<%
	// _______________________________XLNETs______________________________________
	// Evaluar variable de session que indica si esta conectado a XLNets
	if ((session.getAttribute("objetoSeguridad")) == null)  { 
		// Verificar que no ha transcurrido el tiempo de sesion (web.xml) %>
			<%@ include file="/m05bControlAcceso.inc"%> <%
	}
	String matricula = request.getParameter("Matricula");
	if (matricula==null || matricula.equals("NULL")){
	       matricula="";
    }
    //String tipo = request.getParameter("Tipo")==null?"T":request.getParameter("Tipo");
	String persona = (String) session.getAttribute("persona");
	String mensaje = request.getParameter("Mensaje")==null?"":request.getParameter("Mensaje");
	PrintWriter outMsg= response.getWriter();
	if (mensaje.equals("true")) {
			outMsg.println("<script>alert(dameAlerta(idioma, 3));</script>");
	}
	outMsg.close();
    m05bFileLog miLog = new m05bFileLog();
    session.setAttribute("m05bPagina", m05bConstantesPaginas.LST_GST_CASADO);
   %>	
<%@ include file="/m05bIdioma.inc"%>

<HTML>
<head>
        <title><%= resTit.getString("titLstGasAsignaciones")%></title>
		<META HTTP-EQUIV="Content-Type" CONTENT="text/html; charsGastoset=UTF-8">
		<link rel="stylesheet" href="<%=m05bConstantesPaginas.PATH_ESTILOS%>/m05bestilos.css" type="text/css">
			
		<script language="javascript1.2" src="<%=m05bConstantesPaginas.PATH_SCRIPTS%>/m05Funciones.js"></script>
		<script language="javascript1.2" src="<%=m05bConstantesPaginas.PATH_SCRIPTS%>/m05Horas.js"></script>
        <script language="javascript1.2" src="<%=m05bConstantesPaginas.PATH_SCRIPTS%>/formateador.js"></script>

			
</head>
			
<BODY style="cursor: wait" onkeydown="cancelaEnter();" onload="document.body.style.cursor='default';InitMenu();" onunload="document.body.style.cursor='wait';">
	<!--          CAPA ESPERA       -->
  <!--Inicio Cabecera -->
   <SCRIPT language=JavaScript>
	 var urlIdioma;		//URL recarga en funcion del idioma
	 urlIdioma = "<%=m05bConstantesPaginas.LST_GST_CASADO%>";
	 var rutaCabecera;	//Camino de migas
     rutaCabecera="";
     detActual='<%= resCM.getString("cmLstGasCasado")%>';
     //rutaCabecera = "<a style='text-decoration:none; font-size:8pt; color:yellow; font-family:verdana' href='" + urlIdioma + "'>\\<%= resCM.getString("cmLstGasAsignaciones")%></a>";
   </SCRIPT>
   <%@ include file="/mantenimientosJSP/includes/m05Cabecera_c.jsp"%>
  <!--Fin Cabecera-->
  <!--Inicio Capa que muestra el Calendario -->
      <DIV id='p01popUpWindowCalendar' style='position:relative; top:15px left:150px'></div>
  <!--Fin Iicio Capa que muestra el Calendario -->
  <!--Tabla que engloba cuerpo y menu-->
  <P> 	 
<table  width="100%" height="100%" border="0" cellspacing="0" cellpadding="0" align="center">
	<tr><td colspan=3></td></tr>
	<tr valign="top">
		<td width="2%">
			<DIV ID="thessm" style="visibility:hidden;Position : Absolute ;Left : 0 ;Top : 80 ;Z-Index : 20;">
	      		<DIV ID="thessm2" style="Position : Absolute ;Left : (-150) ;Top : 0 ;Z-Index : 20;">
	                <%@ include file="/m05bMenuInicial.inc"%>
	       		</DIV>
			</DIV>
		</td>
		<td>&nbsp</td>
		<td width="98%">
	   	 <!--FORM INICIO DIBUJO FORMULARIO FORM VEHICULOS (la mitad superior de la pagina)-->
	   	<script>
		function formatear(){
         var cont=document.formVehGastos.contador.value;
         var objetoI=null;
         var objetoK=null;
         var objetoL=null;         
         for( var i=0; i<cont; i++ ){
             objetoI =document.getElementsByName("Importe")[i]; 
             formatNumeroDecimalConSigno(objetoI,9,2); 
             objetoK =document.getElementsByName("Km")[i];
             formatNumero(objetoK);
             objetoL =document.getElementsByName("Litros")[i];
             formatNumeroDecimal(objetoL,6,2)   ;             
         }             
}
</script>
			<FORM NAME="formVehGastos" METHOD="POST" >
					<%
					
					String Tarjeta="", tipo="", Control="", Concepto="", Nombre="", CodGasto="";
					String Fecha="", Hora="", Importe="", Km="", Litros="", Ver="", Cargabon="";
					int contadorColor=0;
					String sTarjetaAnt="";
					String sFechaAnt="";
					String sImporteAnt="";
					String sVerificado="";
					String sEstilo="";
					int contTotal=0;
					int contador1=0;
					int contador2=0;
					m05bCombo miCombo = new m05bCombo();
					m05bComun comun = new m05bComun();
					StringBuffer sqlTarjetas = new StringBuffer();
					StringBuffer sqlManual = new StringBuffer();
					StringBuffer sqlTodo = new StringBuffer();
                    java.sql.Connection conexion=null;
                    m05bConexion miConexion = new m05bConexion();                    
					java.sql.Statement pstmtGastos = null;
					ResultSet rsGastos = null;

					
 
					
					
                    sqlTodo.append("SELECT * FROM (SELECT 'T',").append(m05bConstantes.COL_18_MATRICULA).append(",");
					sqlTodo.append(m05bConstantes.COL_18_TARJETA).append(",").append(m05bConstantes.COL_18_CARGO);
					sqlTodo.append(",TO_CHAR(").append(m05bConstantes.COL_18_FECHA).append(",'"+formatoFecha+"'),TO_CHAR(");
					sqlTodo.append(m05bConstantes.COL_18_FECHA).append(",'HH24:mi:ss'),");
					sqlTodo.append(m05bConstantes.COL_18_CONCEPTO);
					sqlTodo.append(",").append(m05bConstantes.COL_18_ESTAB);
					sqlTodo.append(",").append(m05bConstantes.COL_18_IMPORTE);
					sqlTodo.append(",TO_CHAR(").append(m05bConstantes.COL_18_KM).append("),DECODE(TO_CHAR(").append(m05bConstantes.COL_18_LITROS);
					sqlTodo.append("),'0','0,00',TO_CHAR(").append(m05bConstantes.COL_18_LITROS).append(")),99999999, ").append(m05bConstantes.COL_18_VERIFIC).append(",TO_CHAR(").append(m05bConstantes.COL_18_FECHA).append(",'YYYYMMDD') FROM ").append(m05bConstantes.TAB_OPEBANCOS);
					sqlTodo.append(" WHERE ").append(m05bConstantes.COL_18_MATRICULA).append(" = '");
					sqlTodo.append(matricula).append("' AND ").append(m05bConstantes.COL_18_CONCEPTO).append("='COMBUSTIBLE'");
					
                    sqlTodo.append(" UNION ALL SELECT 'M',").append(m05bConstantes.COL_09_MATRICULA).append(",");
					sqlTodo.append(m05bConstantes.COL_09_TARJETA).append(",").append(m05bConstantes.COL_09_CARGO);
					sqlTodo.append(",TO_CHAR(").append(m05bConstantes.COL_09_FECHA).append(",'"+formatoFecha+"'),TO_CHAR(");
					sqlTodo.append(m05bConstantes.COL_09_FECHA).append(",'HH24:mi:ss'),");
					sqlTodo.append(m05bConstantes.COL_99_DESCRIPCION);
					sqlTodo.append(",").append(m05bConstantes.COL_09_ESTNOM);
					sqlTodo.append(",").append(m05bConstantes.COL_09_IMPORTE);
					sqlTodo.append(",").append(m05bConstantes.COL_09_KMGASTO).append(",").append(m05bConstantes.COL_09_LITROS).append(",").append(m05bConstantes.COL_09_CODIGO);
					sqlTodo.append(" ,'S',TO_CHAR(").append(m05bConstantes.COL_09_FECHA).append(",'YYYYMMDD') FROM ").append(m05bConstantes.TAB_GASTOS).append(",").append(m05bConstantes.TAB_DESCRIPCIONES);
					sqlTodo.append(" WHERE ").append(m05bConstantes.COL_09_MATRICULA).append(" = '");
					sqlTodo.append(matricula).append("' AND ");
				    sqlTodo.append(m05bConstantes.COL_99_CODTABLA).append(" = '").append(m05bConstantes.DESC_CONCEPTOSGASTOS).append("' AND ");
				    sqlTodo.append(m05bConstantes.COL_99_CODDESC).append(" = ").append(m05bConstantes.COL_09_CODCPTO).append(" AND ").append(m05bConstantes.COL_99_DESCRIPCION).append("='COMBUSTIBLE') ORDER BY 3,14,9,1,6");;
					
miLog.addTraza(m05bConstantes.LOG_NO_USER, m05bConstantes.LOG_NO_SRC, "sqlTodo"+sqlTodo, m05bConstantes.LOG_NIVEL_BAJO);					                   			  
					
			
		try {
			           conexion = miConexion.getConnection();
			           pstmtGastos = conexion.createStatement();
			  if (!(matricula.equals(""))){
					   rsGastos = pstmtGastos.executeQuery(sqlTodo.toString());
				}	%>
			  

		  <TABLE class="general" width="100%">
		     <tr>
              <td width="1%" >&nbsp&nbsp</td>
		      <td width="95%">	
		      	 <TABLE class="general">
					    <TR>
         			     <TD width="10%" ALIGN="left"  class="inputFieldTitle">
					              <%= res.getString("etMatricula")%>
					     </TD>
					     <td width="90%"></td>
					     
					    </TR>
				        <tr>
					      <TD width="10%" ALIGN="left">
		  			       <select style="vertical-align=top" class=inputField  NAME="CMatricula"  onKeypress="if (event.keyCode == 13){ blur();} else {buscar_op(this,this);}" onblur="javascript:fncCambiarSeleccion();" onchange="javascript:fncCambiarSeleccion();">
				    	     <option value=""> </option>	
						               <%=miCombo.ComMatricula(m05bConstantes.VEH_TODOS,matricula)%>
				    	   </select>
				    	 </TD>	
				    	 <td width="90%"></td>					  	  				        
					     </tr>
			          </TABLE>
			    </td>	     
		     </tr>
		  	<tr> 
		  	 <td width="1%" >&nbsp&nbsp</td>
		      <td width="95%">
		      <div id="capaHtml" style="width: 100%; border: thin #336699 solid;">
		   		  <TABLE class="general" width="100%" >

					      <td width="8%" colspan="2" class="inputFieldTitleCasado"><%= res.getString("etTarjeta")%></td>
					      <!--td class="inputFieldTitle">Tipo</td-->
					      <td class="inputFieldTitleCasado"><%= res.getString("etCA")%></td-->
					      <td class="inputFieldTitleCasado"><%= res.getString("etComercio")%></td-->
					      <td width="8%" class="inputFieldTitleCasado" colspan="2"><%= res.getString("etFecha")%></td>
					      <td width="8%" class="inputFieldTitleCasado"><%= res.getString("etImporte")%></td>
					      <td width="8%" class="inputFieldTitleCasado"><%= res.getString("etKm")%></td>
					      <td width="8%" class="inputFieldTitleCasado"><%= res.getString("etLitros")%></td>
					      <td width="8%" colspan="2" class="inputFieldTitleCasado"><%= res.getString("etTarjeta")%></td>
					      <td class="inputFieldTitleCasado"><%= res.getString("etCA")%></td-->
					      <td class="inputFieldTitleCasado"><%= res.getString("etComercio")%></td>					      
                          <td width="8%" class="inputFieldTitleCasado" colspan="2"><%= res.getString("etFecha")%></td>
					      <td width="8%" class="inputFieldTitleCasado"><%= res.getString("etImporte")%></td>
					      <td width="8%" class="inputFieldTitleCasado"><%= res.getString("etKm")%></td>
					      <td width="8%" class="inputFieldTitleCasado"><%= res.getString("etLitros")%></td>					      
					    </tr>
						<%
						  if (!(matricula.equals(""))){
							while (rsGastos.next() == true){
			                       ++contTotal;
					               Tarjeta=rsGastos.getString(3);
					               Fecha=rsGastos.getString(5);
					               Hora=rsGastos.getString(6);
					               Concepto=rsGastos.getString(7);
                                   Concepto = Concepto==null?"":Concepto;
					               
					               Nombre=rsGastos.getString(8);
                                   Nombre = Nombre==null?"":Nombre;
					               
					               Importe=rsGastos.getString(9);
					               Importe=comun.ImporteBasedatosAPagina(Importe);

                                   sVerificado=rsGastos.getString(13);
                                   if (sVerificado.equals("S")){
                                   		sVerificado="***"+Tarjeta;
                                   }else{
                                   sVerificado=Tarjeta;	
                                   }		               
					               Km=rsGastos.getString(10);
					               Litros=rsGastos.getString(11);
					               tipo=rsGastos.getString(1);
					               
					               if (Km==null || Km.equals("")|| Km.equals("0"))
					                   Km="";
					                   Km=comun.ImporteBasedatosAPagina(Km);
					               if (Litros==null || Litros.equals("")|| Litros.equals("0")|| Litros.equals("0,00"))
					                   Litros="";
									    //Litros=comun.ImporteBasedatosAPagina(Litros);
                    									    
					               Cargabon=rsGastos.getString(4);
					               if(!idiomaSes.equals("es")){ 
					            	   if(Cargabon.startsWith("C")) Cargabon="Z";
					            	   else Cargabon="O";
					               }
					               
					           %>
					                <%if (((!(Tarjeta.equals(sTarjetaAnt))) || (!(Fecha.equals(sFechaAnt)))) || 
					                     ((Tarjeta.equals(sTarjetaAnt)) && (Fecha.equals(sFechaAnt)) && (!(sImporteAnt.equals(Importe))))) {
					                    if (((!(sTarjetaAnt.equals(""))) || (!(sFechaAnt.equals("")))) ||
					                    ((Tarjeta.equals(sTarjetaAnt)) && (Fecha.equals(sFechaAnt)) && (!(sImporteAnt.equals(""))) && ((!(sTarjetaAnt.equals(""))) && (!(sFechaAnt.equals(""))))  )){
					                        if (contador1 > contador2){%>
					                         <td class="<%=sEstilo%>" colspan="9"></td>
					                        <%}
					                        contador1=0;
					                        contador2=0;%>
					                        </tr>
					                       <%}%>
					                    <tr>
					                    <%contadorColor++;
					                       if ((contadorColor%2) == 0){
					                          sEstilo="inputFieldTitleBlank";}else{sEstilo="inputFieldTitle";}%>
					                 <%}%>
					                 <%if (tipo.equals("M")) { CodGasto= rsGastos.getString(12);
					                    if (contador1 >= contador2){
									             if (contador1>contador2){%>
									                 </tr>
									                 <tr>
									                 <%contadorColor++;
					                                   if ((contadorColor%2) == 0){
					                                      sEstilo="inputFieldTitleBlank";}else{sEstilo="inputFieldTitle";}%>
									                   <%}%>
					                            <td width="8%"><input name="chGrabar" type="button" class="inputFieldTitle"  onclick="javascript:fncModificarGasto(<%=CodGasto%>);"></td>
										  		<td class="<%=sEstilo%>" width="8%"><input type="hidden" name="Codigo" value="<%=Control%>" ><%=Tarjeta%></td>
										        <td class="<%=sEstilo%>" style="text-align: center"><%=Cargabon%></td>
										        <td class="<%=sEstilo%>"><%=Nombre%></td>										  		
                                                <td class="<%=sEstilo%>" width="8%"><INPUT class="inputField" TYPE="hidden" NAME="Fecha"  VALUE="<%=Fecha%>"><%=Fecha%></td>
										        <td class="<%=sEstilo%>" width="8%"><%=Hora%></td>
                                                <td  style="text-align: right" width="8%" class="<%=sEstilo%>"><%=Importe%></td>
                                                <td  style="text-align: right" width="8%" class="<%=sEstilo%>"><%=Km%></td>										  
                                                <td  style="text-align: right" width="8%" class="<%=sEstilo%>"><%=Litros%> </td>
                                                <%contador1++;%>
								   	<%}} else {
	                                   if (contador2 < contador1){%>
	                                   
					                            <td width="8%" bgcolor="#005d99"> <input type="hidden" name="chGrabar"  type="button" class="inputFieldTitle" width="2%"  ></td>
										  		<td class="<%=sEstilo%>" width="8%"><input type="hidden" name="Codigo" value="<%=Control%>" ><%=sVerificado%></td>
										        <td class="<%=sEstilo%>" style="text-align: center"><%=Cargabon%></td>
										        <td class="<%=sEstilo%>"><%=Nombre%></td>	                                            
                                                <td class="<%=sEstilo%>" width="8%"><INPUT class="inputField" TYPE="hidden" NAME="Fecha"  VALUE="<%=Fecha%>"><%=Fecha%></td>
										        <td class="<%=sEstilo%>" width="8%"><%=Hora%></td>
                                                <td width="8%" style="text-align: right" class="<%=sEstilo%>"><%=Importe%></td>
                                                <td width="8%" style="text-align: right" class="<%=sEstilo%>"><%=Km%></td>										  
                                                <td width="8%" style="text-align: right" class="<%=sEstilo%>"><%=Litros%> </td>								   	
										  		<%contador2++;%>
									  <%}else if (contador2>=contador1){
									             if (contador2>contador1){%>
									                 </tr>
									                 <tr>
									                  <%contadorColor++;
					                                  if ((contadorColor%2) == 0){
 					                                     sEstilo="inputFieldTitleBlank";}else{sEstilo="inputFieldTitle";}%>
									                  <%}%>
									            <td class="<%=sEstilo%>" colspan="9"></td>
	                                            <td width="8%" bgcolor="·005d99"> <input type="hidden" name="chGrabar"  type="button" class="inputFieldTitle" width="2%"  ></td>
	                                            <td width="8%" class="<%=sEstilo%>"><input type="hidden" name="Codigo" value="<%=Control%>" ><%=sVerificado%></td>
										        <td class="<%=sEstilo%>" style="text-align: center"><%=Cargabon%></td>
										        <td class="<%=sEstilo%>"><%=Nombre%></td>	                                            
                                                <td width="8%" class="<%=sEstilo%>"><INPUT class="inputField" TYPE="hidden" NAME="Fecha"  VALUE="<%=Fecha%>"><%=Fecha%></td>
										        <td width="8%" class="<%=sEstilo%>"><%=Hora%></td>
                                                <td width="8%" style="text-align: right" class="<%=sEstilo%>"><%=Importe%></td>
                                                <td width="8%" style="text-align: right" class="<%=sEstilo%>"><%=Km%></td>										  
                                                <td width="8%" style="text-align: right" class="<%=sEstilo%>"><%=Litros%> </td>								   										          
                                                <%contador2++;%>
								   	<%}}%>

					    		 
					 <% sTarjetaAnt=Tarjeta; sFechaAnt=Fecha; sImporteAnt=Importe;}}%>
					 

					  <%} catch (Exception ex){
						   miLog.addTraza(ex);
					  } finally {
							if (rsGastos != null)
								rsGastos.close();
							if (pstmtGastos != null)
								pstmtGastos.close();
							if (conexion != null)
								conexion.close();
					  }
					    %>

					  </TABLE>
					    </td>
                        </tr>

                      </Table>
                      
					     <TABLE class="general">
							<tr>
								<td> <input type='hidden' name="listaBD" VALUE="" ></td>
								<td> <input type='hidden' name="Matricula" VALUE="<%=matricula%>" colspan="6"></td>
							
			 				</tr>
							<tr align="center">
								<td class="inputField" colspan="7"><%= res.getString("etTotal")%><%=contTotal%></td>
								
						 	</tr>
							<tr> </tr>
					   </TABLE>
					</div>
			</FORM>
			 </td>
			</tr>
			<tr>
				<td colspan="3"><%@ include file="/mantenimientosJSP/includes/m05Pie_c.jsp"%></td>
			</tr>
			</table>
<SCRIPT language='javascript'>
			    function fncModificar(codigo) {
			       var docu=document.formVehGastos;
			       docu.action="m05bGenerarGastosTarjetaServlet?Matricula=<%=matricula%>&Codigo=" + codigo;
			       docu.submit();
			    }
			    
			 	/*function fncNuevo(){
			       var docu=document.formVehGastos;
			       docu.action="m05bGastosTarjetaJsp.jsp?Matricula=<%=matricula%>&Cabecera=false";
			       docu.submit();
			    }*/
			    	
				function fncCambiarSeleccion() {
					var tipo;
					var matricula;
			        var docu=document.formVehGastos;
			        
	
					
					matricula=docu.CMatricula.options[docu.CMatricula.selectedIndex].value;
					if (matricula!="") {
			       	docu.action="m05bCasadoGastosAsignacionJsp.jsp?Matricula=" + matricula ;
					docu.submit();}
			    }
				
				function fncModificarGasto(codigo) {
					var matricula;
			        var docu=document.formVehGastos;
					matricula=docu.CMatricula.options[docu.CMatricula.selectedIndex].value;
			        docu.action="m05bGenerarGastosListadoServlet?Codigo="+codigo+"&Matricula="+matricula+"&Finalizada="+'N';
			       	//docu.action="m05bGastosJsp.jsp?Codigo=" + codigo + "&Matricula=" + matricula;
					docu.submit();
			    }
	    	
    setTimeout('initSlide();', 1);



    
</SCRIPT>
	
</BODY>
</HTML>